package com.mob.adsdk.reactlibrary;

import java.util.ArrayList;
import java.util.List;

import com.facebook.react.ReactPackage;
import com.facebook.react.bridge.NativeModule;
import com.facebook.react.bridge.ReactApplicationContext;
import com.facebook.react.uimanager.ViewManager;
import com.mob.adsdk.reactlibrary.uimanager.BannerAdViewManager;
import com.mob.adsdk.reactlibrary.uimanager.DrawFeedViewManager;
import com.mob.adsdk.reactlibrary.uimanager.DrawVideoAdViewManager;
import com.mob.adsdk.reactlibrary.uimanager.DrawVideoEntryViewManager;
import com.mob.adsdk.reactlibrary.uimanager.NativeAdViewManager;

public class AdPackage implements ReactPackage {

    @Override
    public List<NativeModule> createNativeModules(ReactApplicationContext reactContext) {
        List<NativeModule> modules = new ArrayList<>();
        modules.add(new AdModule(reactContext));
        return modules;
    }

    @Override
    public List<ViewManager> createViewManagers(ReactApplicationContext reactContext) {
        List<ViewManager> managers = new ArrayList<>();
        managers.add(new BannerAdViewManager());
        managers.add(new NativeAdViewManager());
        managers.add(new DrawVideoAdViewManager());
        managers.add(new DrawVideoEntryViewManager());
        managers.add(new DrawFeedViewManager());
        return managers;
    }
}
