package com.mob.adsdk.reactlibrary.uimanager;

import android.view.View;

import com.facebook.react.bridge.ReactContext;
import com.facebook.react.bridge.WritableMap;
import com.facebook.react.common.MapBuilder;
import com.facebook.react.uimanager.SimpleViewManager;
import com.facebook.react.uimanager.ThemedReactContext;
import com.facebook.react.uimanager.events.RCTEventEmitter;
import com.mob.adsdk.reactlibrary.view.ContainerView;

import java.util.Map;

public abstract class BaseAdViewManager extends SimpleViewManager<ContainerView> {

    @Override
    protected ContainerView createViewInstance(ThemedReactContext reactContext) {
        return new ContainerView(reactContext);
    }

    @Override
    public Map getExportedCustomBubblingEventTypeConstants() {
        return MapBuilder.builder()
                .put("onEvent", MapBuilder.of("phasedRegistrationNames", MapBuilder.of("bubbled", "onEvent")))
                .build();
    }

    protected void receiveEvent(View view, WritableMap data) {
        ReactContext reactContext = (ReactContext) view.getContext();
        reactContext.getJSModule(RCTEventEmitter.class).receiveEvent(view.getId(), "onEvent", data);
    }
}
