package com.mob.adsdk.reactlibrary.view;

import android.content.Context;
import android.view.Choreographer;
import android.view.View;
import android.view.ViewGroup;

public class ContainerView extends ViewGroup {

    private boolean mDetached;

    public ContainerView(Context context) {
        super(context);

        Choreographer.getInstance().postFrameCallback(new Choreographer.FrameCallback() {
            @Override
            public void doFrame(long frameTimeNanos) {
                for (int i = 0; i < getChildCount(); i++) {
                    View child = getChildAt(i);
                    child.measure(MeasureSpec.makeMeasureSpec(getMeasuredWidth(), MeasureSpec.EXACTLY),
                            MeasureSpec.makeMeasureSpec(getMeasuredHeight(), MeasureSpec.EXACTLY));
                    child.layout(0, 0, child.getMeasuredWidth(), child.getMeasuredHeight());
                }
                getViewTreeObserver().dispatchOnGlobalLayout();

                if (!mDetached) {
                    Choreographer.getInstance().postFrameCallback(this);
                }
            }
        });
    }

    @Override
    protected void onDetachedFromWindow() {
        super.onDetachedFromWindow();
        removeAllViews();
        mDetached = true;
    }

    @Override
    protected void onLayout(boolean changed, int l, int t, int r, int b) {
    }
}