import React from 'react';
import {createStackNavigator} from '@react-navigation/stack';
import {NavigationContainer} from '@react-navigation/native';
import HomeScreen from './pages/HomeScreen';
import RewardVideoScreen from './pages/RewardVideoScreen';
import BannerScreen from './pages/BannerScreen';
import NativeScreen from './pages/NativeScreen';
import InterstitialScreen from './pages/InterstitialScreen';
import DrawVideoScreen from './pages/DrawVideoScreen';
import DrawEntryScreen from './pages/DrawEntryScreen';
import DrawFeedScreen from './pages/DrawFeedScreen';

import AdSdk from 'react-native-mobad';

function initAd() {
  AdSdk.init({
    appId: 'ba024a013ae9de665d', // 这是测试 appId，请替换成分配到的正式 appId
    // userId: userId, // 未登录可不设置 userId，登录时再设置
    debug: true,
  });

  // 登录时请设置 userId
  // AdSdk.setUserId(userId);
  // 退出登录请重置 userId
  // AdSdk.setUserId(null);

  // 设置最短开屏间隔时间，如果切到后台超出此间隔时间，回到前台任意页面都会显示开屏，以提升开屏广告的曝光量
  AdSdk.setMinSplashInterval(3 * 60 * 1000); // 单位 ms
  AdSdk.showSplashAd({
    onAdDismiss({id}) {
      console.log(`SplashAd onAdDismiss id=${id}`);
    },
    onError({id, code, message}) {
      console.log(`SplashAd onError id=${id} code=${code} message=${message}`);
    },
  });
}

export default function App() {
  React.useEffect(() => {
    initAd();
  }, []);

  const Stack = createStackNavigator();
  return (
    <NavigationContainer>
      <Stack.Navigator>
        <Stack.Screen
          name="Demo"
          component={HomeScreen}
          options={{title: 'Demo'}}
        />
        <Stack.Screen
          name="RewardVideo"
          component={RewardVideoScreen}
          options={{title: '激励视频广告'}}
        />
        <Stack.Screen
          name="Banner"
          component={BannerScreen}
          options={{title: 'Banner 广告'}}
        />
        <Stack.Screen
          name="Native"
          component={NativeScreen}
          options={{title: '原生广告'}}
        />
        <Stack.Screen
          name="Interstitial"
          component={InterstitialScreen}
          options={{title: '插屏广告'}}
        />
        <Stack.Screen
          name="DrawVideo"
          component={DrawVideoScreen}
          options={{title: 'Draw 视频广告'}}
        />
      </Stack.Navigator>
    </NavigationContainer>
  );
}
