import React from 'react';
import {View, StyleSheet} from 'react-native';

import {BannerAd} from 'react-native-mobad';

export default function BannerScreen() {
  return (
    <View style={styles.main}>
      <View style={styles.container}>
        <BannerAd
          unitId="b1"
          style={{width: 332, height: 332 / 6.4}}
          onAdLoad={({id}) => {
            console.log(`BannerAd onAdLoad id=${id}`);
          }}
          onAdShow={({id}) => {
            console.log(`BannerAd onAdShow id=${id}`);
          }}
          onAdClose={({id}) => {
            console.log(`BannerAd onAdClose id=${id}`);
          }}
          onAdClick={({id}) => {
            console.log(`BannerAd onAdClick id=${id}`);
          }}
          onError={({id, code, message}) => {
            console.log(
              `BannerAd onError id=${id} code=${code} message=${message}`,
            );
          }}
        />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    flex: 1,
    position: 'relative',
  },
  container: {
    flex: 1,
    alignItems: 'center',
    marginTop: 30,
    backgroundColor: '#F5FCFF',
  },
});
