import React from 'react';
import {View, StyleSheet} from 'react-native';

import {DrawEntry} from 'react-native-mobad';

export default function DrawEntryScreen({navigation}) {
  return (
    <View style={styles.main}>
      <View style={styles.container}>
        <DrawEntry
          unitId="de1"
          style={{width: '100%', height: 300}}
          onLoad={({id}) => {
            console.log(`DrawEntry onAdLoad id=${id}`);
          }}
          onClick={({id}) => {
            console.log(`DrawEntry onAdClick id=${id}`);
            navigation.navigate('DrawFeed');
          }}
          onError={({id, code, message}) => {
            console.log(
              `DrawEntry onError id=${id} code=${code} message=${message}`,
            );
          }}
        />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    flex: 1,
    position: 'relative',
  },
  container: {
    flex: 1,
    alignItems: 'center',
    marginTop: 30,
    backgroundColor: '#F5FCFF',
  },
});
