import React from 'react';
import {View, StyleSheet} from 'react-native';

import {DrawFeed} from 'react-native-mobad';

export default function DrawFeedScreen() {
  return (
    <View style={styles.main}>
      <View style={styles.container}>
        <DrawFeed
          unitId="df1"
          style={{width: '100%', height: '100%'}}
          onVideoShow={({id, videoType}) => {
            console.log(`DrawFeed onVideoShow id=${id} videoType=${videoType}`);
          }}
          onVideoStart={({id, videoType}) => {
            console.log(
              `DrawFeed onVideoStart id=${id} videoType=${videoType}`,
            );
          }}
          onVideoPause={({id, videoType}) => {
            console.log(
              `DrawFeed onVideoPause id=${id} videoType=${videoType}`,
            );
          }}
          onVideoResume={({id, videoType}) => {
            console.log(
              `DrawFeed onVideoResume id=${id} videoType=${videoType}`,
            );
          }}
          onVideoComplete={({id, videoType}) => {
            console.log(
              `DrawFeed onVideoComplete id=${id} videoType=${videoType}`,
            );
          }}
          onVideoError={({id, videoType, code}) => {
            console.log(
              `DrawFeed onAdClick id=${id} videoType=${videoType} code=${code}`,
            );
          }}
          onError={({id, code, message}) => {
            console.log(
              `DrawFeed onError id=${id} code=${code} message=${message}`,
            );
          }}
        />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    flex: 1,
    position: 'relative',
  },
  container: {
    flex: 1,
    alignItems: 'center',
    marginTop: 30,
    backgroundColor: '#F5FCFF',
  },
});
