import React from 'react';
import {View, StyleSheet} from 'react-native';

import {DrawVideoAd} from 'react-native-mobad';

export default function DrawVideoScreen() {
  return (
    <View style={styles.main}>
      <View style={styles.container}>
        <DrawVideoAd
          unitId="dv1"
          style={{width: '100%', height: '100%'}}
          onAdLoad={({id}) => {
            console.log(`DrawVideoAd onAdLoad id=${id}`);
          }}
          onAdShow={({id}) => {
            console.log(`DrawVideoAd onAdShow id=${id}`);
          }}
          onAdClick={({id}) => {
            console.log(`DrawVideoAd onAdClick id=${id}`);
          }}
          onVideoStart={({id}) => {
            console.log(`DrawVideoAd onVideoStart id=${id}`);
          }}
          onVideoPause={({id}) => {
            console.log(`DrawVideoAd onVideoPause id=${id}`);
          }}
          onVideoResume={({id}) => {
            console.log(`DrawVideoAd onVideoResume id=${id}`);
          }}
          onVideoComplete={({id}) => {
            console.log(`DrawVideoAd onVideoComplete id=${id}`);
          }}
          onError={({id, code, message}) => {
            console.log(
              `DrawVideoAd onError id=${id} code=${code} message=${message}`,
            );
          }}
        />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    flex: 1,
    position: 'relative',
  },
  container: {
    flex: 1,
    alignItems: 'center',
    marginTop: 30,
    backgroundColor: '#F5FCFF',
  },
});
