import React from 'react';
import {View, StyleSheet, Button} from 'react-native';

import AdSdk from 'react-native-mobad';

export default function InterstitialScreen() {
  return (
    <View style={styles.main}>
      <View style={styles.container}>
        <View style={styles.buttonItem}>
          <Button
            title="展示插屏广告"
            onPress={() => {
              AdSdk.showInterstitialAd({
                unitId: 'i1',
                onAdLoad({id}) {
                  console.log(`InterstitialAd onAdLoad id=${id}`);
                },
                onAdShow({id}) {
                  console.log(`InterstitialAd onAdShow id=${id}`);
                },
                onAdClick({id}) {
                  console.log(`InterstitialAd onAdClick id=${id}`);
                },
                onAdClose({id}) {
                  console.log(`InterstitialAd onAdClose id=${id}`);
                },
                onError({id, code, message}) {
                  console.log(
                    `InterstitialAd onError id=${id} code=${code} message=${message}`,
                  );
                },
              });
            }}
          />
        </View>
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    flex: 1,
    position: 'relative',
  },
  container: {
    flex: 1,
    alignItems: 'center',
    marginTop: 30,
    backgroundColor: '#F5FCFF',
  },
  buttonItem: {
    marginBottom: 30,
    width: 300,
  },
});
