import React from 'react';
import {View, StyleSheet} from 'react-native';

import {NativeAd} from 'react-native-mobad';

export default function NativeScreen() {
  return (
    <View style={styles.main}>
      <View style={styles.container}>
        <NativeAd
          unitId="n1"
          style={{width: 332, height: 332 / 1.78}}
          onAdLoad={({id}) => {
            console.log(`NativeAd onAdLoad id=${id}`);
          }}
          onAdShow={({id}) => {
            console.log(`NativeAd onAdShow id=${id}`);
          }}
          onAdClose={({id}) => {
            console.log(`NativeAd onAdClose id=${id}`);
          }}
          onAdClick={({id}) => {
            console.log(`NativeAd onAdClick id=${id}`);
          }}
          onError={({id, code, message}) => {
            console.log(
              `NativeAd onError id=${id} code=${code} message=${message}`,
            );
          }}
        />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    flex: 1,
    position: 'relative',
  },
  container: {
    flex: 1,
    alignItems: 'center',
    marginTop: 30,
    backgroundColor: '#F5FCFF',
  },
});
