import React from 'react';
import {View, StyleSheet, Button} from 'react-native';

import AdSdk from 'react-native-mobad';

export default function RewardVideoScreen() {
  return (
    <View style={styles.main}>
      <View style={styles.container}>
        <View style={styles.buttonItem}>
          <Button
            title="展示激励视频广告"
            onPress={() => {
              AdSdk.showRewardVideoAd({
                unitId: 'rv1',
                onAdLoad({id}) {
                  console.log(`RewardVideoAd onAdLoad id=${id}`);
                },
                onVideoCached({id}) {
                  console.log(`RewardVideoAd onVideoCached id=${id}`);
                },
                onAdShow({id}) {
                  console.log(`RewardVideoAd onAdShow id=${id}`);
                },
                onReward({id}) {
                  console.log(`RewardVideoAd onReward id=${id}`);
                },
                onAdClick({id}) {
                  console.log(`RewardVideoAd onAdClick id=${id}`);
                },
                onVideoComplete({id}) {
                  console.log(`RewardVideoAd onVideoComplete id=${id}`);
                },
                onAdClose({id}) {
                  console.log(`RewardVideoAd onAdClose id=${id}`);
                },
                onError({id, code, message}) {
                  console.log(
                    `RewardVideoAd onError id=${id} code=${code} message=${message}`,
                  );
                },
              });
            }}
          />
        </View>
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  main: {
    flex: 1,
    position: 'relative',
  },
  container: {
    flex: 1,
    alignItems: 'center',
    marginTop: 30,
    backgroundColor: '#F5FCFF',
  },
  buttonItem: {
    marginBottom: 30,
    width: 300,
  },
});
