//
//  MobDrawFeedView.m
//  react-native-mobad
//
//  Created by hoc on 2020/12/2.
//

#import "MobDrawFeedView.h"
#import <MobADSDK/MobADSDKApi.h>

@interface MobDrawFeedView ()<MADDrawFeedCallbackDelegate>

@property (nonatomic, strong) UIViewController *viewController;

@end

@implementation MobDrawFeedView

- (void)setSrc:(NSDictionary *)src {
    _src = src;
    NSString *unitId = src[@"unitId"];
    self.viewController = [MobADSDKApi drawFeedViewControllerWithDelegate:self backImage:nil group:unitId];
    [self addSubview:self.viewController.view];
}

// 视频开始播放
- (void)ad_drawFeedDidStartPlay:(NSString *)publicContentId type:(MADVideoType)type{
    NSDictionary *para = @{@"event":@"onVideoShow",
                           @"id": publicContentId ?: [NSNull null],
                           @"videoType": @(type)};
    if (self.onEvent) {
        self.onEvent(para);
    }
    
    NSDictionary *para1 = @{@"event":@"onVideoStart",
                           @"id": publicContentId ?: [NSNull null],
                           @"videoType": @(type)};
    if (self.onEvent) {
        self.onEvent(para1);
    }
}

// 视频暂停播放
- (void)ad_drawFeedDidPause:(NSString *)publicContentId type:(MADVideoType)type {
    NSDictionary *para = @{@"event":@"onVideoPause",
                           @"id": publicContentId ?: [NSNull null],
                           @"videoType": @(type)};
    if (self.onEvent) {
        self.onEvent(para);
    }
}

// 视频恢复播放
- (void)ad_drawFeedDidResume:(NSString *)publicContentId type:(MADVideoType)type {
    NSDictionary *para = @{@"event":@"onVideoResume",
                           @"id": publicContentId ?: [NSNull null],
                           @"videoType": @(type)};
    if (self.onEvent) {
        self.onEvent(para);
    }
}

// 视频停止播放
- (void)ad_drawFeedDidEndPlay:(NSString *)publicContentId type:(MADVideoType)type isFinished:(BOOL)finished {
    NSDictionary *para = @{@"event":@"onVideoComplete",
                           @"id": publicContentId ?: [NSNull null],
                           @"videoType": @(type)};
    if (self.onEvent) {
        self.onEvent(para);
    }
}

// 视频播放失败
- (void)ad_drawFeedDidFailedToPlay:(NSString *)publicContentId type:(MADVideoType)type withError:(NSError *)error {
    NSDictionary *para = @{@"event":@"onError",
                           @"id": publicContentId ?: [NSNull null],
                           @"code":@(error.code),
                           @"message": error.userInfo[NSLocalizedDescriptionKey] ?: [NSNull null]};
    if (self.onEvent) {
        self.onEvent(para);
    }
}

@end

