//
//  DrawVideoEntryView.m
//  react-native-mobad
//
//  Created by hoc on 2020/12/2.
//

#import "MobDrawVideoEntryView.h"
#import <MobADSDK/MobADSDKApi.h>
#import "ADUniTool.h"
//#import "MobWarpFeedViewController.h"

@interface MobDrawVideoEntryView () <MobDrawEntryElementCallbackDelegate>
{
    id<MobDrawEntryElementCallbackProtocol> _entryElement;
}
@end

@implementation MobDrawVideoEntryView

- (void)setSrc:(NSDictionary *)src {
    _src = src;
    NSString *unitId = src[@"unitId"];
    if (!_entryElement) {
        _entryElement = [MobADSDKApi drawEntryElementAdManager];
    }
    [_entryElement loadDrawEntryElementWithDelegate:self group:unitId];
}

- (void)ad_entryElementSuccessToLoad:(id<MobEntryElementProtocol>)entryElement {
    [self addSubview:entryElement.entryView];
    NSDictionary *para = @{@"event":@"onLoad",
                           @"id": entryElement.lk_docId ?: [NSNull null]};
    if (self.onEvent) {
        self.onEvent(para);
    }
}

- (void)ad_entryElement:(id<MobEntryElementProtocol>)entryElement didFeedClickCallBack:(id<MobContentPageProtocol>)contentPage {
//    MobWarpFeedViewController *viewController = [[MobWarpFeedViewController alloc] initWithViewController:contentPage.viewController];
//    UINavigationController *navi = [[UINavigationController alloc] initWithRootViewController:viewController];
//    viewController.modalPresentationStyle = UIModalPresentationFullScreen;
//    navi.modalPresentationStyle = UIModalPresentationFullScreen;
//    [viewController.navigationController setNavigationBarHidden:YES animated:NO];
//    [[ADUniTool findCurrentShowingViewController] presentViewController:navi animated:YES completion:nil];
    
    NSDictionary *para = @{@"event":@"onClick",
                           @"id": entryElement.lk_docId ?: [NSNull null]};
    if (self.onEvent) {
        self.onEvent(para);
    }
}

- (void)ad_entryElement:(id<MobEntryElementProtocol>)entryElement didFailWithError:(NSError *_Nullable)error {
    
    NSDictionary *para;
    if (entryElement) {
        para = @{@"event":@"onError",
                 @"id": entryElement.lk_docId ?: [NSNull null],
                 @"code":@(error.code),
                 @"message": error.domain ?: [NSNull null]};
    } else {
        
        NSDictionary *errorInfo = error.userInfo;
        para = @{@"event":@"onError",
                 @"id": errorInfo[@"id"] ?: [NSNull null],
                 @"code":@(error.code),
                 @"message": error.domain ?: [NSNull null]};
    }
    
    if (self.onEvent) {
        self.onEvent(para);
    }
}

@end

