import React from 'react';
import {requireNativeComponent} from 'react-native';

const BannerAdView = requireNativeComponent('BannerAdView');

export class BannerAd extends React.Component {
  constructor(props) {
    super(props);
    this._onEvent = this._onEvent.bind(this);
  }
  _onEvent(event) {
    let nativeEvent = event.nativeEvent;
    if (this.props[nativeEvent.event]) {
      this.props[nativeEvent.event](nativeEvent);
    }
  }
  render() {
    return (
      <BannerAdView
        {...this.props}
        src={{
          unitId: this.props.unitId,
          width: this.props.style.width,
          height: this.props.style.height,
        }}
        onEvent={this._onEvent}
      />
    );
  }
}
