import React from 'react';
import {requireNativeComponent} from 'react-native';

const NativeAdView = requireNativeComponent('NativeAdView');

export class NativeAd extends React.Component {
  constructor(props) {
    super(props);
    this._onEvent = this._onEvent.bind(this);
  }
  _onEvent(event) {
    let nativeEvent = event.nativeEvent;
    if (this.props[nativeEvent.event]) {
      this.props[nativeEvent.event](nativeEvent);
    }
  }
  render() {
    return (
      <NativeAdView
        {...this.props}
        src={{
          unitId: this.props.unitId,
          width: this.props.style.width,
        }}
        onEvent={this._onEvent}
      />
    );
  }
}
